Skip to main content
GET
https://api.tensormesh.ai
/
v1
/
users
/
by-email
/
{userEmail}
Get User Profile 2
curl --request GET \
  --url https://api.tensormesh.ai/v1/users/by-email/{userEmail} \
  --header 'Authorization: Bearer <token>'
{
  "user": {
    "id": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "displayName": "<string>",
    "userEmail": "<string>",
    "authProvider": "AUTH_PROVIDER_UNSPECIFIED",
    "authProviderId": "<string>",
    "avatarUrl": "<string>",
    "stripeCusId": "<string>",
    "userRole": "USER_ROLE_UNSPECIFIED",
    "apiKey": "<string>",
    "company": "<string>",
    "tosAcceptedAt": "2023-11-07T05:31:56Z",
    "surveyCompletedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Path Parameters

userEmail
string
required

The email address of the user.

Query Parameters

userId
string

The unique ID of the user.

Response

A successful response.

GetUserProfileResponse is the response for retrieving a user profile.

user
object

User represents a user profile in the system.